<div class="d-inline-block pl-0" [class.pr-0]="!showHours" [ngClass]="{'col-6': showHours, 'col-12': !showHours}">
    <div class="input-group">
        <input class="form-control" [disabled]="disabled" [placeholder]="placeholder" name="dp" [(ngModel)]="modelDatepicker" ngbDatepicker #inputDatePicker="ngbDatepicker" (click)="inputDatePicker.toggle()" (dateSelect)="onDateTimeChange()" autocomplete="off" />
        <div *ngIf="showIcon" class="input-group-append">
            <button class="btn btn-outline-secondary calendar" (click)="inputDatePicker.toggle()" type="button">
                <i class="far fa-calendar"></i>
            </button>
        </div>
    </div>
</div>
<div *ngIf="showHours" class="col-6 d-inline-block">
    <ngb-timepicker [(ngModel)]="modelTime" (ngModelChange)="onDateTimeChange()"></ngb-timepicker>
</div>